Debian Bug report logs - #670638
xterm color options no longer work with 278-1 in Debian Testing

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Justin Piszcz <jpiszcz@lucidpixels.com>

Date: Fri, 27 Apr 2012 13:57:02 UTC

Severity: normal

Tags: fixed-upstream

Found in version xterm/278-1

Fixed in version xterm/278-3

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#670638; Package xterm. (Fri, 27 Apr 2012 13:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justin Piszcz <jpiszcz@lucidpixels.com>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 27 Apr 2012 13:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Justin Piszcz <jpiszcz@lucidpixels.com>
To: submit@bugs.debian.org
Cc: dickey@invisible-island.net
Subject: xterm color options no longer work with 278-1 in Debian Testing
Date: Fri, 27 Apr 2012 09:55:01 -0400
Package: xterm
Version: 278-1

Hello,

After a recent upgrade of xterm (278), text no longer shows up in
xterm with the options I normally use:

xterm -bg black -fg white

The screen is black in xterms now, it does not honor the foreground
color?  Unless I run it without these arguments, I have downgraded to
xterm 261 (still in the FTP dir) and all works normally again.

I also tried, e.g.: -fg green, red, etc, the -fg is no longer working.
The background color is honored, the -fg is not.

xterm

2012-04-23 15:42:57 upgrade xterm:amd64 276-2 278-1
2012-04-23 15:42:57 status half-configured xterm:amd64 276-2
2012-04-23 15:42:57 status unpacked xterm:amd64 276-2
2012-04-23 15:42:57 status half-installed xterm:amd64 276-2
2012-04-23 15:42:57 status half-installed xterm:amd64 276-2
2012-04-23 15:42:57 status half-installed xterm:amd64 276-2
2012-04-23 15:42:57 status half-installed xterm:amd64 276-2
2012-04-23 15:42:57 status unpacked xterm:amd64 278-1
2012-04-23 15:42:57 status unpacked xterm:amd64 278-1
2012-04-23 15:43:12 configure xterm:amd64 278-1 <none>
2012-04-23 15:43:12 status unpacked xterm:amd64 278-1
2012-04-23 15:43:12 status unpacked xterm:amd64 278-1
2012-04-23 15:43:12 status unpacked xterm:amd64 278-1
2012-04-23 15:43:12 status unpacked xterm:amd64 278-1
2012-04-23 15:43:12 status unpacked xterm:amd64 278-1
2012-04-23 15:43:12 status unpacked xterm:amd64 278-1
2012-04-23 15:43:12 status unpacked xterm:amd64 278-1
2012-04-23 15:43:12 status half-configured xterm:amd64 278-1
2012-04-23 15:43:13 status installed xterm:amd64 278-1

Justin.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#670638; Package xterm. (Sat, 28 Apr 2012 01:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 28 Apr 2012 01:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 670638@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Justin Piszcz <jpiszcz@lucidpixels.com>, 670638@bugs.debian.org
Cc: dickey@his.com
Subject: Re: Bug#670638: xterm color options no longer work with 278-1 in Debian Testing
Date: Fri, 27 Apr 2012 21:49:59 -0400
[Message part 1 (text/plain, inline)]
On Fri, Apr 27, 2012 at 09:55:01AM -0400, Justin Piszcz wrote:
> Package: xterm
> Version: 278-1
> 
> Hello,
> 
> After a recent upgrade of xterm (278), text no longer shows up in
> xterm with the options I normally use:
> 
> xterm -bg black -fg white
> 
> The screen is black in xterms now, it does not honor the foreground
> color?  Unless I run it without these arguments, I have downgraded to
> xterm 261 (still in the FTP dir) and all works normally again.

I don't see this behavior in an update to Debian/unstable, or Debian/testing.
It's possible that there's some X resource setting on your machine which
has foreground pre-set, making it impossible to override.  That would be
either a local customization, or some desktop junk (KDE's been an offender
in this area, for instance).  Some details about the X resources, e.g.,
as seen by appres and the window manager/desktop might show the problem.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#670638; Package xterm. (Sat, 28 Apr 2012 09:57:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justin Piszcz <jpiszcz@lucidpixels.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 28 Apr 2012 09:57:15 GMT) Full text and rfc822 format available.

Message #15 received at 670638@bugs.debian.org (full text, mbox):

From: Justin Piszcz <jpiszcz@lucidpixels.com>
To: dickey@his.com
Cc: 670638@bugs.debian.org
Subject: Re: Bug#670638: xterm color options no longer work with 278-1 in Debian Testing
Date: Sat, 28 Apr 2012 05:52:55 -0400
On Fri, Apr 27, 2012 at 9:49 PM, Thomas Dickey <dickey@his.com> wrote:
> On Fri, Apr 27, 2012 at 09:55:01AM -0400, Justin Piszcz wrote:
>> Package: xterm
>> Version: 278-1
>>
>> Hello,
>>
>> After a recent upgrade of xterm (278), text no longer shows up in
>> xterm with the options I normally use:
>>
>> xterm -bg black -fg white
>>
>> The screen is black in xterms now, it does not honor the foreground
>> color?  Unless I run it without these arguments, I have downgraded to
>> xterm 261 (still in the FTP dir) and all works normally again.
>
> I don't see this behavior in an update to Debian/unstable, or Debian/testing.
> It's possible that there's some X resource setting on your machine which
> has foreground pre-set, making it impossible to override.  That would be
> either a local customization, or some desktop junk (KDE's been an offender
> in this area, for instance).  Some details about the X resources, e.g.,
> as seen by appres and the window manager/desktop might show the problem.

Hi,

I found the root cause, when using vnc, if you use "-depth 24" when
starting vncserver, the text will be black.  When "-depth 24" is not
specified, it honors the background color.

What is interesting is vnc has not changed and the older version of
xterm  (267) did not exhibit the issue w/ vnc when  "-depth 24" was
specified.

The new version works as long as "-depth 24" is not specified.

How to reproduce:
1. Install Debian Testing x86_64
2. Install vnc4server 4.1.1+X4.3.0-37
3. Run: vncserver -geometry 1024x768 -depth 24
4. Make sure xterm 278-1 is installed (debian/testing)
5. /usr/bin/xterm -bg black -fg white
6. Then you can kill that vnc and re-run it without the -depth 24 and
it works fine.

Seems like an xterm/vnc/color/depth bug?  When the default is used
(-depth 16) the text appears properly and the background color is
honored.

Justin.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#670638; Package xterm. (Sat, 28 Apr 2012 14:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 28 Apr 2012 14:30:06 GMT) Full text and rfc822 format available.

Message #20 received at 670638@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Justin Piszcz <jpiszcz@lucidpixels.com>, 670638@bugs.debian.org
Cc: dickey@his.com
Subject: Re: Bug#670638: xterm color options no longer work with 278-1 in Debian Testing
Date: Sat, 28 Apr 2012 07:25:52 -0400
[Message part 1 (text/plain, inline)]
On Sat, Apr 28, 2012 at 05:52:55AM -0400, Justin Piszcz wrote:
> On Fri, Apr 27, 2012 at 9:49 PM, Thomas Dickey <dickey@his.com> wrote:
> > On Fri, Apr 27, 2012 at 09:55:01AM -0400, Justin Piszcz wrote:
> >> Package: xterm
> >> Version: 278-1
> >>
> >> Hello,
> >>
> >> After a recent upgrade of xterm (278), text no longer shows up in
> >> xterm with the options I normally use:
> >>
> >> xterm -bg black -fg white
> >>
> >> The screen is black in xterms now, it does not honor the foreground
> >> color? ?Unless I run it without these arguments, I have downgraded to
> >> xterm 261 (still in the FTP dir) and all works normally again.
> >
> > I don't see this behavior in an update to Debian/unstable, or Debian/testing.
> > It's possible that there's some X resource setting on your machine which
> > has foreground pre-set, making it impossible to override. ?That would be
> > either a local customization, or some desktop junk (KDE's been an offender
> > in this area, for instance). ?Some details about the X resources, e.g.,
> > as seen by appres and the window manager/desktop might show the problem.
> 
> Hi,
> 
> I found the root cause, when using vnc, if you use "-depth 24" when
> starting vncserver, the text will be black.  When "-depth 24" is not
> specified, it honors the background color.
> 
> What is interesting is vnc has not changed and the older version of
> xterm  (267) did not exhibit the issue w/ vnc when  "-depth 24" was
> specified.
> 
> The new version works as long as "-depth 24" is not specified.
> 
> How to reproduce:
> 1. Install Debian Testing x86_64
> 2. Install vnc4server 4.1.1+X4.3.0-37
> 3. Run: vncserver -geometry 1024x768 -depth 24
> 4. Make sure xterm 278-1 is installed (debian/testing)
> 5. /usr/bin/xterm -bg black -fg white
> 6. Then you can kill that vnc and re-run it without the -depth 24 and
> it works fine.
> 
> Seems like an xterm/vnc/color/depth bug?  When the default is used
> (-depth 16) the text appears properly and the background color is
> honored.

That's probably related to this change from #277:

     * add  a  workaround  for  XAllocColor(),  which  does  not actually
       allocate  "a read-only colormap entry corresponding to the closest
       RGB   value  supported  by  the  hardware",  but  rather  a  rough
       approximation (Debian #650291).

...and I'll see if I can reproduce the effect you're describing.  The
fix might be as simple as excluding depth 24 from the workaround.

In a quick check, I don't see any fixes for regressions relative to #276,
so you might be able to upgrade to _that_ version.  (I'm near the end of
a large change for #279).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#670638; Package xterm. (Fri, 11 May 2012 08:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 11 May 2012 08:33:03 GMT) Full text and rfc822 format available.

Message #25 received at 670638@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 670638@bugs.debian.org
Cc: 670638-submitter@bugs.debian.org
Subject: re: #670638 xterm color options no longer work with 278-1 in Debian Testing
Date: Fri, 11 May 2012 04:29:17 -0400
[Message part 1 (text/plain, inline)]
This is fixed in patch #279

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Justin Piszcz <jpiszcz@lucidpixels.com>:
Bug#670638. (Fri, 11 May 2012 08:33:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#670638; Package xterm. (Fri, 11 May 2012 08:36:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Justin Piszcz" <jpiszcz@lucidpixels.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 11 May 2012 08:36:13 GMT) Full text and rfc822 format available.

Message #33 received at 670638@bugs.debian.org (full text, mbox):

From: "Justin Piszcz" <jpiszcz@lucidpixels.com>
To: <dickey@his.com>, <670638-quiet@bugs.debian.org>, <670638@bugs.debian.org>
Cc: <670638-submitter@bugs.debian.org>
Subject: RE: Bug#670638: #670638 xterm color options no longer work with 278-1 in Debian Testing
Date: Fri, 11 May 2012 04:33:43 -0400
Hi,

Thanks for the update!

Justin.

-----Original Message-----
From: Thomas Dickey [mailto:dickey@his.com] 
Sent: Friday, May 11, 2012 4:29 AM
To: 670638@bugs.debian.org
Cc: 670638-submitter@bugs.debian.org
Subject: Bug#670638: #670638 xterm color options no longer work with 278-1
in Debian Testing

This is fixed in patch #279

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net





Information stored :
Bug#670638; Package xterm. (Fri, 11 May 2012 08:36:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Justin Piszcz" <jpiszcz@lucidpixels.com>:
Extra info received and filed, but not forwarded. (Fri, 11 May 2012 08:36:20 GMT) Full text and rfc822 format available.

Message sent on to Justin Piszcz <jpiszcz@lucidpixels.com>:
Bug#670638. (Fri, 11 May 2012 08:36:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#670638; Package xterm. (Fri, 11 May 2012 08:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 11 May 2012 08:45:03 GMT) Full text and rfc822 format available.

Message #46 received at 670638@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Justin Piszcz <jpiszcz@lucidpixels.com>, 670638-quiet@bugs.debian.org
Cc: dickey@his.com, 670638@bugs.debian.org, 670638-submitter@bugs.debian.org
Subject: Re: Bug#670638: #670638 xterm color options no longer work with 278-1 in Debian Testing
Date: Fri, 11 May 2012 04:42:46 -0400
[Message part 1 (text/plain, inline)]
On Fri, May 11, 2012 at 04:33:43AM -0400, Justin Piszcz wrote:
> Hi,
> 
> Thanks for the update!

no problem (report bugs).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#670638; Package xterm. (Fri, 11 May 2012 08:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and filed, but not forwarded. (Fri, 11 May 2012 08:45:05 GMT) Full text and rfc822 format available.

Message sent on to Justin Piszcz <jpiszcz@lucidpixels.com>:
Bug#670638. (Fri, 11 May 2012 08:45:07 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Fri, 11 May 2012 08:57:13 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Tue, 27 Nov 2012 19:21:03 GMT) Full text and rfc822 format available.

Notification sent to Justin Piszcz <jpiszcz@lucidpixels.com>:
Bug acknowledged by developer. (Tue, 27 Nov 2012 19:21:03 GMT) Full text and rfc822 format available.

Message #61 received at 670638-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 670638-close@bugs.debian.org
Subject: Bug#670638: fixed in xterm 278-3
Date: Tue, 27 Nov 2012 19:18:10 +0000
Source: xterm
Source-Version: 278-3

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 670638@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 27 Nov 2012 19:57:47 +0100
Source: xterm
Binary: xterm
Architecture: source amd64
Version: 278-3
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 670638
Changes: 
 xterm (278-3) unstable; urgency=low
 .
   [ Timo Aaltonen ]
   * control: Mark the package as Multi-Arch: foreign.
 .
   [ Julien Cristau ]
   * Apply a few patches recommended by upstream in #694375 (thanks!)
     - amend patch from 278-2 to catch more cases
     - amend fix for Debian #650291 in patch #277 changes to account for
       different data returned by vnc4server (closes: #670638)
     - correct macro definition used for testing modes used in ANSI/DEC
       request-mode controls introduced in patch #262
     - add a null-pointer check in OkPasswd macro to fix a problem in resize
       with Fedora 17 and a serial console (report/patch by Daniel Drake).
Checksums-Sha1: 
 d4adecae54716ff14641f886a28fda2c9b58ef12 2016 xterm_278-3.dsc
 db559d21eee0fdd88582036173a814960a6d0c5e 95550 xterm_278-3.diff.gz
 8f2b90f8ccb2184605d8c331d26f86a917450516 600536 xterm_278-3_amd64.deb
Checksums-Sha256: 
 543f8e603fc55c60b6cccbd2caf98085a8b29c3497fc598d4296c57d1f8205cf 2016 xterm_278-3.dsc
 fc817501782fb598fd56a25fa51df3c225bb8ac10213799594fe2061fcbef6fd 95550 xterm_278-3.diff.gz
 c758218a958362abde510777af5741c029236eaa97f5d680d38f31f5109506ed 600536 xterm_278-3_amd64.deb
Files: 
 fae0ebd72d94c6b435a2320028de8d8f 2016 x11 optional xterm_278-3.dsc
 7d1289e9e29f20e0db76f6b8c36b4dec 95550 x11 optional xterm_278-3.diff.gz
 b30b60bf502a682e94aa6857baf07b28 600536 x11 optional xterm_278-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQtQ4SAAoJEDEBgAUJBeQMMAwQAJzJ/M41iXO4nua2ahepiiff
nU3K+R2/Bfz9552ZR/17P7qn7Jpgn2TkDPj3jcO1KIqZ9FQjDQj6pl++MmUpQn6x
s6nlhyuXU7taYvzYv4fG5yJOzpZpiGCpc0TvRLzpwc1GvsO7gmmCIUhRxOsF+bLG
dntpH631VYVz87pyGIjzbWyEf65vnRqAR2B+9prx7IK76jTiWWbt/sdyeDmHLl0+
U2UXdh0AKXz+IlczDp2KGKs05v/91zj7aPUaMuBFg5bpIsqtonyesvkSUSZoFO2p
/iqfCQST8kc5VsAdAxDx5WxKhvLreUAOV/CDFTSp7m2UgJGZhDvFPBXK8NTkPT8m
o/h4ufZDfZzuH2WMrUSlDB47iwuLTeoqtxF/hVJ2x3xG71E47NZQil0MKCwbXjiV
rNG1cJ1eKZ6hM5ovK7IVMRt00wPLtdFUEKo/XwZa2SdZ5aA/DBU2/ffXjv0Nuz4t
/MqBmS2It8ibr5z6FPbdkVv9AaDgaCDhKE4PK2guo18t1KiXXxtvrEXja5l9DnJK
mtJS7x2SQutWuGs3A2JBhXkNdi6NLH67zdhISpgXkApzNSaKgoacdEH3n5IGQRN+
KHpv+mEaztkyDtdUWrlHGJ57B6GvpFXfKHcDeDCHHGaPLzkrg6Ais6HOSHSAbZJc
tvSJRrQNK3VCtqDVV4Cs
=c0VJ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 26 Dec 2012 07:26:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:12:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.